List fund collaborators
curl --request GET \
--url https://api.endaoment.org/v1/funds/{id}/collaborators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.endaoment.org/v1/funds/{id}/collaborators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.endaoment.org/v1/funds/{id}/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v1/funds/{id}/collaborators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v1/funds/{id}/collaborators"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endaoment.org/v1/funds/{id}/collaborators")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v1/funds/{id}/collaborators")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"collaboratorUserId": "123e4567-e89b-12d3-a456-426614174000",
"fundId": "123e4567-e89b-12d3-a456-426614174000",
"createdAtUtc": "2026-02-11T14:32:10.123Z",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
}
]Funds
List fund collaborators
Retrieves the active collaborators of a fund. Permissioned users can list them. A caller who cannot see the fund gets 404; one who can see it but may not list gets 403.
GET
/
v1
/
funds
/
{id}
/
collaborators
List fund collaborators
curl --request GET \
--url https://api.endaoment.org/v1/funds/{id}/collaborators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.endaoment.org/v1/funds/{id}/collaborators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.endaoment.org/v1/funds/{id}/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endaoment.org/v1/funds/{id}/collaborators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.endaoment.org/v1/funds/{id}/collaborators"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.endaoment.org/v1/funds/{id}/collaborators")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endaoment.org/v1/funds/{id}/collaborators")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"collaboratorUserId": "123e4567-e89b-12d3-a456-426614174000",
"fundId": "123e4567-e89b-12d3-a456-426614174000",
"createdAtUtc": "2026-02-11T14:32:10.123Z",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe"
}
]Authorizations
Path Parameters
Response
List of fund collaborators successfully retrieved
Was this page helpful?